{
    "format_version": "1.21.50",
    "minecraft:block": {
        "description": {
            "identifier": "rc:sleeping_bag_hitbox",
            "menu_category": {
                "category": "none",
                "is_hidden_in_commands": true
            },
			"traits": {
				"minecraft:placement_direction": {
					"enabled_states": [
						"minecraft:cardinal_direction"
					]
				}
			}
        },
        "components": {
			"minecraft:loot": "loot_tables/empty.json",
			"minecraft:custom_components": [
				"rc:sleeping_bag"
			],
            "tag:minecraft:is_hoe_item_destructible": {},
"minecraft:collision_box": {
                "origin": [
                    -7,
                    0,
                    -6
                ],
                "size": [
                    14,
                    3,
                    14
                ]
            },
            "minecraft:selection_box": {
                "origin": [
                    -7,
                    0,
                    -6
                ],
                "size": [
                    14,
                    3,
                    14
                ]
            },
            "minecraft:destructible_by_mining": {
                "seconds_to_destroy": 1
            },
            "minecraft:destructible_by_explosion": {
                "explosion_resistance": 30
            },
			"minecraft:geometry": "geometry.sleeping_bag_inverted",
            "minecraft:material_instances": {
                "*": {
                    "texture": "invisible",
                    "render_method": "alpha_test"
                }
            },
            "minecraft:map_color": "#ffffff"
        },
		"permutations": [
			{
				"condition": "q.block_state('minecraft:cardinal_direction') == 'north' ",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							180,
							0
						]
					}
				}
			},
			{
				"condition": "q.block_state('minecraft:cardinal_direction') == 'south' ",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							0,
							0
						]
					}
				}
			},
			{
				"condition": "q.block_state('minecraft:cardinal_direction') == 'east' ",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							90,
							0
						]
					}
				}
			},
			{
				"condition": "q.block_state('minecraft:cardinal_direction') == 'west' ",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							270,
							0
						]
					}
				}
			}
		]
    }
}